%perl_module AppConfig 1.56 8

Summary:       Reading configuration files and parsing command line arguments.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~abw/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/A/AB/ABW/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch
BuildRequires: perl(Test::More)

%description
AppConfig is a Perl5 module for managing application configuration
information.  It maintains the state of any number of variables and
provides methods for parsing configuration files and command line
arguments.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO Changes
%{perl_vendorlib}/%{pkgname}.pm
%{perl_vendorlib}/%{pkgname}
%{perl_man3dir}/%{pkgname}*.3pm*

%changelog
* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 1.56.

* Tue Dec 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 1.55.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to new macros.

* Thu Dec 5 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
